﻿using System.Collections.Generic;

namespace Sociometry
{
    class Dihotomy
    {
        public string FirstPolarityName { get; }
        public string SecondPolarityName { get; }
        public List<Key> Keys { get; set; }
        public double Bayes { get; set; }

        public Dihotomy(string firstPolarity, string secondPolarity)
        {
            FirstPolarityName = firstPolarity;
            SecondPolarityName = secondPolarity;
            Keys = new List<Key>();
            Bayes = 0.5;
        }

        public void CalcBayesProbability()
        {
            double firstProbabilities = 1, secondProbabilities = 1;
            for (int i = 0; i < Keys.Count; i++)
            {
                firstProbabilities *= Keys[i].FirstPolarityProbability();
                secondProbabilities *= Keys[i].SecondPolarityProbability();
            }
            double bayes = firstProbabilities / (firstProbabilities + secondProbabilities);
            Bayes = bayes;
        }

    }
}
